summaryrefslogtreecommitdiff
path: root/tests/test-libarchive.sh
diff options
context:
space:
mode:
authorColin Walters <walters@verbum.org>2016-01-27 11:44:10 -0500
committerColin Walters <walters@verbum.org>2016-01-27 11:44:10 -0500
commit5ebe43859d284a003e240e0cfe66b5185681e993 (patch)
tree9a50ffcbfc1688f0abeab58cfe8502b30c576d0c /tests/test-libarchive.sh
parent3d2322db7a609fb4653ce6bf6c4b96b0c315a5b7 (diff)
downloadostree-5ebe43859d284a003e240e0cfe66b5185681e993.tar.gz
tests: Use "bash strict mode"
I noticed in the static deltas tests, there were some tests that should have been under `-o pipefail` to ensure we properly propagate errors. There were a few places where we were referencing undefined variables. Overall, this is clearly a good idea IMO.
Diffstat (limited to 'tests/test-libarchive.sh')
-rwxr-xr-xtests/test-libarchive.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/tests/test-libarchive.sh b/tests/test-libarchive.sh
index c875f6b0..92e24083 100755
--- a/tests/test-libarchive.sh
+++ b/tests/test-libarchive.sh
@@ -17,9 +17,9 @@
# Free Software Foundation, Inc., 59 Temple Place - Suite 330,
# Boston, MA 02111-1307, USA.
-set -e
+set -euo pipefail
-if ! ${CMD_PREFIX} ostree --version | grep -q -e '\+libarchive'; then
+if ! ostree --version | grep -q -e '\+libarchive'; then
exit 77
fi